Alokai

SapccApiGetExportedProductsRequest

Request parameters for getExportedProducts operation in SapccApi. SapccApiGetExportedProductsRequest

interface SapccApiGetExportedProductsRequest {
	readonly baseSiteId: string;
	readonly catalog?: string;
	readonly currentPage?: number;
	readonly fields?: string;
	readonly pageSize?: number;
	readonly timestamp?: string;
	readonly version?: string;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier {string} SapccApiGetExportedProducts
catalogOptionalstringOnly products from this catalog are returned. The catalog must be provided along with the version. {string} SapccApiGetExportedProducts
currentPageOptionalnumberCurrent result page. Default value is 0. {number} SapccApiGetExportedProducts
fieldsOptionalstringResponse configuration. This is the list of fields that should be returned in the response body. Examples: BASIC,DEFAULT,FULL {string} SapccApiGetExportedProducts
pageSizeOptionalnumberNumber of results returned per page. {number} SapccApiGetExportedProducts
timestampOptionalstringOnly products that are more recent than the given parameter are returned. The value should be in ISO-8601 format: 2018-01-09T16:28:45+0000. {string} SapccApiGetExportedProducts
versionOptionalstringOnly products from this catalog version are returned. The catalog version must be provided along with the catalog. {string} SapccApiGetExportedProducts

On this page